<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_17</title>
</head>
<body>
    <h1>Capitulo 17</h1>
    <a>Ejercicio 6</a>

    <script>

        const cuenta2 = (n) => {

            let count = 0;

            while (n > 0) {

                if (n % 10 == 2) {
                    count++;
                } 
                n = parseInt(n / 10, 10);
            }
            return count;
         }
 
        const buscarSolo2 = (n) => {

            let count = 0 ;
 
            for (let i = 2; i <= n; i++) {
                count += cuenta2(i);
            }
 
            return count;
        }
        
        let n = 22;
        let m = 100;
        console.log(`Entre el 0 al ${n} hay: "${buscarSolo2(n)}" 2´s`);
        console.log(`Entre el 0 al ${m} hay: "${buscarSolo2(m)}" 2´s`);

    </script>
    
</body>
</html>